2007-12-27  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* booklets: Remove.
	* Makefile.pamphlet (all-book): Remove.

2007-11-25  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet: Remove all-depsys rule.
	(all-interpsys): Now depend on all-boot.

2007-09-19  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet (all-interpsys): Now depend on all-depsys.

2007-08-21  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet (all-check): New rule.
	* Makefile.in: Regenerate.

2007-08-17  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet (all-lisp): Don't make $(axiom_build_bindir)
	here. Pass target tp $(MAKE).
	(all-boot): Likewise.
	(all-lib): Don't make $(OUT) here.  Pass target to $(MAKE).
	* Makefile.in: Regenerate.

2007-08-05  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet (all-lisp): Don't make all-boot a prereqsite.
	(all-boot): Make all-lisp a prerequisite.
	* Makefile.in: Regenerate.

2007-07-14  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet:  Remove obsolete comments.
	(all-doc): Don't create int/ directory.
	(all-graph): Likewise.

2007-06-20  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet (all-algebra): Depend on all-hyper.
	* Makefile.in: Regenerate.

2007-05-28  Gabriel Dos Reis  <gdr@cs.tam.,edu>

	* Makefile.pamphlet (all-clef): Don't use AX_FLAGS.
	(all-sman): Likewise.
	(all-hyper): Likewise.
	(all-share): Likewise.
	(all-book): Likewise.
	(all-lib): Likewise.
	(all-boot): Likewise.
	(all-depsys): Likewise.
	(all-interpsys): Likewise.
	(all-interpsys): Likewise.
	(all-axiomsys): Likewise.
	(all-axiomsys): Likewise.
	(all-lisp): Likewise.
	(all-algebra): Likewise.
	(all-input): Likewise.
	(all-asq): Likewise.
	(all-doc): Likewise.
	(all-graph): Likewise.
	* Makefile.in: Regenerate.

2007-03-26  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet (all-boot): Don't make all-lisp a prerequisite.
	(all-depsys): Require only all-boot.
	(all-interpsys): Additionally require all-lisp.
	(all-lisp): Additionally require all-boot.
	* Makefile.in: Regenerate.

2007-03-25  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet (all-depsys): New target. 
	(all-interpsys): Make it a prerequisite.
	* Makefile.in: Regenerate.

2007-03-13  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet (all-boot): Depend on all-lisp only when
	--enable-gcl. 
	(all-interpsys): Depend on both all-lisp and all-boot.
	* Makefile.in: Regenerate.

2006-12-26  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet: Eradicate use of ENV.

2006-12-21  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet (all-input): Don't depend on all-clef.
	* Makefile.in: Regenerate.

2006-12-16  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet (all-interpsys): Don't make int/algebra.
	(all-algebra): Don't make int/input
	(all-input): Likewise.
	* Makefile.in: Regenerate.

2006-12-15  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet (all-graph): Don't make obj/ sub-directory.

2006-12-14  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet (all-algebra): Avoid creating unnecessary
	directories. 
	* Makefile.in: Regenerate.
	
2006-12-10  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet (SUBDIRS): Restore.
	* Makefile.in: Regenerate.

2006-12-09  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* include/sockio-c.H1 (close_socket): Adjust first parameter type.

2006-12-07  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet (all-algebra): Stop generating part of
	algebra/Makefile at build time.
	* Makefile.in: Regenerate.

2006-12-06  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet (SUBDIRS): Remove.
	Use AX_FLAGS to communicate variables to sub-processes.
	* Makefile.in: Regenerate.

2006-12-06  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet (all-lib): Make $(OUT) directory before the
	actual make.
	(stamp): Have dependencies computed at configureation time.
	* Makefile.in: Regenerate.

2006-12-04  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* include/com.h: Add preliminary support for Windows sockets.
	(axiom_socket): New typedef.  Abstract over differences between
	Windows and POSIX worlds.
	(axiom_close_socket): Declare.
	(axiom_write, axiom_read): New functions.  Encapsulate read and
	write to sockets.

2006-12-01  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* include/cfuns-c.H1 (CLgetpid): Remove declaration.

2006-11-29  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* include/addfile.H1: Remove K&R C style function declarations.
	* include/bsdsignal.h: Likewise.
	* include/bsdsignal.H1: Likewise.
	* include/cfuns-c.H1: Likewise.
	* include/cond.H1: Likewise.
	* include/cursor.H1: Likewise.
	* include/dialog.H1: Likewise.
	* include/display.H1: Likewise.
	* include/edible.H1: Likewise.
	* include/edin.H1: Likewise.
	* include/event.H1: Likewise.
	* include/ex2ht.H1: Likewise.
	* include/extent1.H1: Likewise.
	* include/extent2.H1: Likewise.
	* include/fnct_key.H1: Likewise.
	* include/form_ext.H1: Likewise.
	* include/group.H1: Likewise.
	* include/halloc.H1: Likewise.
	* include/hash.H1: Likewise.
	* include/hash.h: Likewise.
	* include/htadd.H1: Likewise.
	* include/hterror.H1: Likewise.
	* include/hthits.H1: Likewise.
	* include/htinp.H1: Likewise.
	* include/hyper.H1: Likewise.
	* include/initx.H1: Likewise.
	* include/input.H1: Likewise.
	* include/item.H1: Likewise.
	* include/keyin.H1: Likewise.
	* include/lex.H1: Likewise.
	* include/macro.H1: Likewise.
	* include/mem.H1: Likewise.
	* include/nagman.H1: Likewise.
	* include/openpty.H1: Likewise.
	* include/parse_aux.H1: Likewise.
	* include/parse.H1: Likewise.
	* include/parse_input.H1: Likewise.
	* include/parse_paste.H1: Likewise.
	* include/parse_types.H1: Likewise.
	* include/pixmap.H1: Likewise.
	* include/prt.H1: Likewise.
	* include/ReadBitmap.H1: Likewise.
	* include/scrollbar.H1: Likewise.
	* include/session.H1: Likewise.
	* include/show_types.H1: Likewise.
	* include/sman.H1: Likewise.
	* include/sockio-c.H1: Likewise.
	* include/spadbuf.H1: Likewise.
	* include/spadclient.H1: Likewise.
	* include/spadcolors.H1: Likewise.
	* include/spadint.H1: Likewise.
	* include/titlebar.H1: Likewise.
	* include/util.H1: Likewise.
	* include/wct.H1: Likewise.
	* include/XDither.H1: Likewise.
	* include/XShade.H1: Likewise.
	* include/XSpadFill.H1: Likewise.

2006-11-28  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* lisp: Rename from ../lsp.

2006-11-26  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet (stamp): Also depends on all-sman.
	* Makefile.in: Regenerate.

2006-11-24  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet (stamp): Depend on Autoconf-subst'ed variable
	@axiom_src_all@.
	* Makefile.in: Regenerate.

2006-11-24  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet: Rework.
	(clef-stamp, sman-stamp, hyper-stamp, share-stamp, book-stamp,
	lib-stamp, boot-stamp, interp-stamp, alg-stamp, input-stamp,
	etc-stamp, doc-stamp, graph-stamp): Remove.
	(all-clef, all-sman, all-hyper, all-share, all-book, all-lib,
	all-boot, all-interpsys, all-algebra, all-input, all-asq, all-doc,
	all-graph, all-axiomsys): New phony targets.  Replace all stamp
	based targets.  Stamps are now managed by each phony targets.
	Spell out dependencies.
	* Makefile.in: Regenerate.

2006-10-28  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet (mostlyclean-local, clean-local,
	distclean-local): New.

2006-10-26  Bill Page  <Bill.Page@drdc-rddc.gc.ca>

	* Makefile.pamphlet ($(alg-stamp)): Don't append to
	$(builddir)/algebra/more-rules.mk.  Just overwrite it.
	* Makefile.in: Regenerate.

2006-10-23  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet: Don't specify path to axiom.sty.

2006-10-08  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet: Remove references to ${MNT} throughout.
	* Makefile.in: Regenerate.

2006-09-26  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet (DIRS, DOCS, CLNS): Remove.
	Globally rename <dir>dir to <dir>.
	(clef-stamp, sman-stamp, hyper-stamp, share-stamp, book-stamp,
	lib-stamp, boot-stamp, interp-stamp, alg-stamp, input-stamp,
	etc-stamp, doc-stamp, graph-stamp): New variables.

	Remove <dir>clean make rules.
	Rename <dir>dir make rules to $(<dir>-stamp) rules.  Spell out
	dependencies. 
	* Makefile.in: Regenerate.

2006-09-18  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet: Tidy.
	(subdir, pamphlets): New.
	* Makefile.in: Regenerate.

2006-09-11  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet: Throughout, replatce ${SRC} with
	$(axiom_src_srcdir). 
	* Makefile.in: Regenerate.

2006-09-03  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet: (${SRC}/clef/Makefile): Remove.
	(clefdir): Depend on $(builddir)/clef/Makefile.
	(clefdocument): Likewise.
	(clefclean): Likewise.

	(${SRC}/sman/Makefile): Remove.
	(smandir): Depend on $(builddir)/sman/Makefile.
	(smandocument): Likewise.
	(smanclean): Likewise.

	(${SRC}/hyper/Makefile): Remove.
	(hyperdir): Depend on $(builddir)/hyper/Makefile 
	(hyperdocument): Likewise.
	(hyperclean): Likewise.

	(${SRC}/share/Makefile): Remove.
	(sharedir): Depend on $(builddir)/share/Makefile.
	(sharedocument): Likewise.
	(shareclean): Likewise.

	(${SRC}/booklets/Makefile): Remove.
	(bookletsdir): Depend on $(builddir)/booklets/Makefile.
	(bookletsdocument): Likewise.
	(bookletsclean): Likewise.

	(${SRC}/lib/Makefile): Remove.
	(libdir): Depend on $(builddir)/lib/Makefile
	(libdocument): Likewise.
	(libclean): Likewise.

	(${SRC}/boot/Makefile): Remove.
	(bootdir): Depend on $(builddir)/boot/Makefile
	(bootdocument): Likewise.
	(bootclean): Likewise.

	(${SRC}/interp/Makefile): Remove.
	(interpdir): Depend on $(builddir)/interp/Makefile.
	(interpdocument): Likewise.
	(interpclean): Likewise.

	(${SRC}/algebra/Makefile): Remove.
	(algebradir): Depend on $(srcdir)/algebra/Makefile.pamphlet.
	Output additional rules in $(builddir)/algebra/more-rules.mk.
	(algebradocument): Depend on $(builddir)/algebra/Makefile.
	(algebraclean): Likewise.

	(${SRC}/input/Makefile): Remove.
	(inputdir): Depend on $(builddir)/input/Makefile.
	(inputdocument): Likewise.
	(inputclean): Likewise.

	(${SRC}/etc/Makefile): Remove.
	(etcdir): Depend on $(builddir)/etc/Makefile.
	(etcdocument): Likewise.
	(etcclean): Likewise.

	(${SRC}/doc/Makefile): Remove.
	(docdir): Depend on $(builddir)/doc/Makefile.
	(docdocument): Likewise.
	(docclean): Likewise.

	(${SRC}/graph/Makefile): Remove.
	(graphdir): Depend on $(builddir)/graph/Makefile.
	(graphdocument): Likewise.
	(graphclean): Likewise.

	($(DOC)/%.dvi):  Split into multiple rules.  Use
	$(axiom_build_document). 
	(${DOC}/axiom.sty): Remove.

	* Makefile.in: New.

2006-08-28  Gabriel Dos Reis  <gdr@cs.tamu.edu>

	* Makefile.pamphlet (<<scriptsdir>>=): Remove.  Scripts are now
	generated at configure time.

